## =============================================================================
## table_one.R
## 
## Script by agdamsbo based on gtsummary.
## 
## =============================================================================

library(readxl)
library(dplyr)

## =============================================================================
## Formatting
## =============================================================================

# dta$Atrialfibrillation<-factor(ifelse(dta$AtrieflimrenDAP==1,1,0))
# dta$Diabetes<-factor(ifelse(dta$DiabetesDAP==1,1,0))
# dta$Hypertension<-factor(ifelse(dta$HypertensionDAP==1,1,0))
# dta$Prev.TIA<-factor(ifelse(dta$TidlTci==1,1,0))
# dta$Prev.AIS<-factor(ifelse(dta$TidlApo2==1,1,0))
# dta$Smoker<-factor(ifelse(dta$Rygning==1,1,0))


## =============================================================================
## Table
## =============================================================================

tbl1_tbl<-dta|>
  tbl_summary(missing = "ifany",
              include = all_of(tbl1_vars),
              missing_text="(Missing)"
              )|>
  add_n()
